Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
DELETEAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required

DetachAutoScalingTemplateFromGroup

DetachAutoScalingTemplateFromGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • groupUuidStringRequired

    The UUID of the auto scaling group.

Body Fields

  • templateUuidStringRequired

    The template UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/autoscaling/template/{uuid}/groups/{groupUuid}

/zstack/v1/autoscaling/template/{uuid}/groups/{groupUuid}

Operation ID

DetachAutoScalingTemplateFromGroup

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/autoscaling/template/{uuid}/groups/{groupUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"templateUuid":"<templateUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history